<ion-header>
  <ion-toolbar class="background-header">
    <div class="ic-back" slot="start" (click)="back()">
      <ion-icon name="arrow-round-back"></ion-icon>
    </div>
    <ion-title style="font-size:16px" *ngIf="bookItem">{{bookItem?.bookTitle}}</ion-title>

  </ion-toolbar>
</ion-header>


<ion-content style="--background:whitesmoke">
  <ion-grid *ngIf="!isLoading" class="bottom-shadow bg-white">
    <ion-row class="ion-margin-top">
      <ion-col size="5" class="text-center">
        <img align-self-center src="{{storagePath.storageBookCover(bookItem?.bookCover,bookItem?.libraryID)}}"
          class="book-image" onError="this.src = 'assets/img/default-book.png'">
      </ion-col>
      <ion-col size="7">
        <ion-row class="head-right">
          <ion-col size="12">
            <p>
              <ion-icon name="business" class="ic-lib"></ion-icon> {{bookItem?.libraryName}}
            </p>
            <h5>{{bookItem?.bookTitle}}</h5>
          </ion-col>
        </ion-row>
        <ion-row class="title">
          <ion-col size="4">
            <p>Penulis</p>
          </ion-col>
          <ion-col>
            <p class="color-black">{{bookItem?.bookWriter}}</p>
          </ion-col>
        </ion-row>
        <ion-row class="title">
          <ion-col size="4">
            <p>Penerbit</p>
          </ion-col>
          <ion-col>
            <p class="color-black">{{bookItem?.bookDistributor}}</p>
          </ion-col>
        </ion-row>
        <ion-row class="title">
          <ion-col size="4">
            <p>Tahun</p>
          </ion-col>
          <ion-col>
            <p class="color-black">{{bookItem?.bookRelease}}</p>
          </ion-col>
        </ion-row>
        <ion-row class="title">
          <ion-col size="4">
            <p>Stok</p>
          </ion-col>
          <ion-col>
            <p class="color-black">{{bookItem?.bookStock}}</p>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
  </ion-grid>

  <!-- Skeleton screen -->
  <div *ngIf="isLoading" class="container-skeleton">
    <ion-item lines="none">
      <ion-thumbnail slot="start" class="skeleton-thumbs">
        <ion-skeleton-text animated></ion-skeleton-text>
      </ion-thumbnail>
      <div class="skel-right">
        <h3 style="width: 45vw">
          <ion-skeleton-text animated></ion-skeleton-text>
        </h3>
        <p style="width: 80vw">
          <ion-skeleton-text animated></ion-skeleton-text>
        </p>
        <br>
        <p style="width: 40vw">
          <ion-skeleton-text animated></ion-skeleton-text>
        </p>
        <p style="width: 35vw">
          <ion-skeleton-text animated></ion-skeleton-text>
        </p>
        <p style="width: 40vw">
          <ion-skeleton-text animated></ion-skeleton-text>
        </p>
      </div>
    </ion-item>
  </div>

  <div class="ion-margin-top bg-white top-shadow">
    <div>
      <!-- Default Segment -->
      <ion-segment color="secondary" [(ngModel)]="segment1" (ionChange)="segmentChanged($event)">
        <ion-segment-button value="description">
          <ion-label>Deskripsi</ion-label>
        </ion-segment-button>
        <!-- <ion-segment-button value="detail">
          <ion-label>Lokasi</ion-label>
        </ion-segment-button> -->
      </ion-segment>

      <div [ngSwitch]="segment1">
        <div *ngSwitchCase="'description'" class="ion-padding color-grey">
          {{bookItem?.bookDescription}}
        </div>
        <div *ngSwitchCase="'detail'" class="color-grey">
          <p *ngIf="bookItem?.bookRack" class="ion-padding-start">Rak Buku : {{bookItem?.bookRack}} </p>
          <img *ngIf="bookItem?.bookRack" align-self-center class="img-map-room"
            src="{{storagePath.storageLibraryPhoto()+bookItem?.libraryMapsRoom}}"
            onError="this.src = 'assets/img/default-book.png'">

          <div class="ion-padding ion-text-center" *ngIf="!bookItem?.bookRack">
            Tidak ada data yang ditampilkan
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="bg-white top-min top-shadow">
    <div class="head-title ion-padding-start ion-padding-top">
      <h5 class="ion-no-margin">Buku Kategori Terkait</h5>
    </div>
    <div *ngIf="!isLoadingList" class="scrollmenu">
      <ng-container *ngFor="let book of bookList">
        <ion-card *ngIf="book.bookID != bookItem.bookID" class="child-scroll" flex="50" (click)="detail(book)">
          <div class="book-list ion-text-center">
            <div class="thumbs-img">
              <img class="ion-text-center" src="{{storagePath.storageBookCover(book?.bookCover,book?.libraryID)}}"
                onError="this.src = 'assets/img/default-book.png'">
            </div>
            <div class="ion-text-start">
              <h5 style="font-size:12px;font-weight: bold">{{book?.bookTitle}}</h5>
              <p class="label-category">{{book?.categoryTitle}}</p>
            </div>
            <div style="position:relative;">
              <ion-grid>
                <ion-row>
                  <ion-col class="ion-text-start" size='6' style="font-size: 10px">Stok: {{book?.bookStock}}</ion-col>
                  <ion-col class="ion-text-start" size='6' style="font-size: 10px">Terbit: {{book?.bookRelease}}
                  </ion-col>
                </ion-row>
                <ion-row style="margin-top: 10px;">
                  <ion-col class="no-wrap ion-text-left" size='12' style="font-size: 12px">{{book?.bookWriter}}
                  </ion-col>
                </ion-row>
                <ion-row style="margin-top: -5px;">
                  <ion-col class="no-wrap ion-text-left" size='12' style="font-size: 12px;font-weight: bold">
                    {{book?.libraryName}}</ion-col>
                </ion-row>
              </ion-grid>
            </div>

          </div>
        </ion-card>
      </ng-container>
      <div *ngIf="bookList?.length == 1">
        <div class="img-not-found ion-padding ion-text-center">
          <div><img src="../../../assets/img/book-not-found.png"></div>
          <div>
            <h5>Tidak ada yang ditampilkan</h5>
          </div>
        </div>
      </div>
    </div>

    <div *ngIf="isLoadingList" class="container-skeleton" fxLayout="row">
      <ion-item class="item-skel " lines="none">
        <ion-thumbnail slot="start" class="skeleton-thumbs">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>

        <ion-thumbnail slot="start" class="skeleton-thumbs ion-no-margin">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
    </div>
  </div>

</ion-content>

<ion-footer text-center *ngIf="bookItem?.ebook">
  <ion-toolbar>
    <button class="btn-ebook" color="secondary" (click)="gotoEbook()">Dapatkan Ebook</button>
  </ion-toolbar>
</ion-footer>